Issue account API key
POST
/v1/internal/account/{sid}/api-key
const url = 'https://example.com/v1/internal/account/example/api-key';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"label":"example","expires_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/internal/account/example/api-key \ --header 'Content-Type: application/json' \ --data '{ "label": "example", "expires_at": "2026-04-15T12:00:00Z" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”sid
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
label
string
expires_at
string format: date-time
Examplegenerated
{ "label": "example", "expires_at": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
sid
required
string
secret
required
string
Examplegenerated
{ "sid": "example", "secret": "example"}